Subject: Re: bug#40034: 27.0.90; Incorrect grammar for scheme causes entry to debug mode

From: Vladimir Nikishkin <[email-masked]>
Date: Thu, 1 Oct 2020 00:18:20 +0800

Yes, I do.

Create a file temp.scm with the following contents:
```
(define (example . args)
   args)
```

Launch emacs -Q temp.scm

M-: (semantic-mode 1) RET

This should already produce an error, but if it doesn't, add a few
empty lines and issue:
M-: (semantic-fetch-tags) RET

This should produce the error:

```
Debugger entered: ((1 34))
  semantic--tag-expand((1 34))
  semantic-repeat-parse-whole-stream(((semantic-list 1 . 34)) nil nil)
  semantic-parse-region-default(1 39 nil nil nil)
  semantic-parse-region(1 39)
  semantic-fetch-tags()
  semantic-fetch-tags()
  eval((semantic-fetch-tags) t)
  eval-expression((semantic-fetch-tags) nil nil 127)
  funcall-interactively(eval-expression (semantic-fetch-tags) nil nil 127)
  call-interactively(eval-expression nil nil)
  command-execute(eval-expression)
```

On Wed, 30 Sep 2020 at 23:04, Lars Ingebrigtsen <[email-masked]> wrote:
>
> Vladimir Nikishkin <[email-masked]> writes:
>
> > The MWE is the following:
> >
> > (define (example . args)
> >   args)
> >
> > The dot is not correctly parsed by the scm.el
> >
> > I found this with the following options on:
> >
> > (require 'semantic)
> > (global-semantic-idle-summary-mode t)
> > (global-semantic-idle-completions-mode t)
> > (global-semantic-mru-bookmark-mode t)
> > (global-semantic-stickyfunc-mode t)
> > (global-semantic-highlight-func-mode t)
> > (global-semantic-decoration-mode t)
>
> I tried this recipe in Emacs 27, but I didn't get any errors there.  Do
> you have a recipe for how to reproduce the bug starting from "emacs -Q"?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Yours sincerely, Vladimir Nikishkin